summaryrefslogtreecommitdiffhomepage
path: root/build.sh
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2016-02-27 13:07:27 +0100
committerLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2016-02-27 13:07:27 +0100
commit9ba5d3147f40707ea52b79bff14d636a89166ef8 (patch)
tree6a731d1f40a66585f4aae8528d9802b9737a985b /build.sh
parent6e48a090d26ba77f026c6ade823cf06f5918a1cf (diff)
downloadmidipix_build-9ba5d3147f40707ea52b79bff14d636a89166ef8.tar.bz2
midipix_build-9ba5d3147f40707ea52b79bff14d636a89166ef8.tar.xz
Replaced [ "x${... constructions w/ the equally portable [ "${....
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/build.sh b/build.sh
index 9d70f594..da66b497 100755
--- a/build.sh
+++ b/build.sh
@@ -6,9 +6,9 @@
while [ ${#} -gt 0 ]; do
case ${1} in
-r) [ -n "${ARG_RESTART_SCRIPT}" ] && exec cat build.usage;
- [ "x${2%%:*}" != "x${2}" ] \
- && { ARG_RESTART_SCRIPT=${2%%:*}; ARG_RESTART_SCRIPT_AT=${2##*:}; } \
- || { ARG_RESTART_SCRIPT=${2}; ARG_RESTART_SCRIPT_AT=ALL; };
+ match_any "${2}" : \
+ && { ARG_RESTART_SCRIPT="${2%%:*}"; ARG_RESTART_SCRIPT_AT="${2##*:}"; } \
+ || { ARG_RESTART_SCRIPT="${2}"; ARG_RESTART_SCRIPT_AT=ALL; };
shift; ;;
-t) [ ${ARG_TARBALL:-0} -eq 1 ] && exec cat build.usage;
ARG_TARBALL=1; ;;
@@ -38,7 +38,7 @@ for BUILD_LVL in 0 1 2 3; do
continue;
else
unset BUILD_SCRIPT_RC; : $((BUILD_NBUILT+=1));
- if [ "x${ARG_RESTART_SCRIPT}" != "xALL" ]\
+ if [ "${ARG_RESTART_SCRIPT}" != ALL ]\
&& is_build_script_done finish "${BUILD_SCRIPT_FNAME%.build}"; then
log_msg info "Skipped build script \`${BUILD_SCRIPT_FNAME}' (already built.)";
: $((BUILD_NSKIP+=1)); BUILD_SCRIPT_RC=0; continue;